=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2009-07-15 05:28:57 +0000
+++ m4/pandora_canonical.m4	2009-07-15 19:22:16 +0000
@@ -4,7 +4,7 @@
 dnl with or without modifications, as long as this notice is preserved.
 
 dnl Which version of the canonical setup we're using
-AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.18])
+AC_DEFUN([PANDORA_CANONICAL_VERSION],[0.20])
 
 AC_DEFUN([PANDORA_FORCE_DEPEND_TRACKING],[
   dnl Force dependency tracking on for Sun Studio builds

=== modified file 'm4/pandora_warnings.m4'
--- m4/pandora_warnings.m4	2009-07-15 05:28:57 +0000
+++ m4/pandora_warnings.m4	2009-07-15 19:22:16 +0000
@@ -128,7 +128,11 @@
     NO_SHADOW="-Wno-shadow"
 
     AS_IF([test "$INTELCC" = "yes"],[
-      BASE_WARNINGS="-w1 -Wall -Wcheck -Wformat -Wp64 -Woverloaded-virtual -Wcast-qual -diag-disable 981"
+      m4_if(PW_LESS_WARNINGS,[no],[
+        BASE_WARNINGS="-w1 -Wall -Werror -Wcheck -Wformat -Wp64 -Woverloaded-virtual -Wcast-qual"
+      ],[
+        BASE_WARNINGS="-w1 -Wall -Wcheck -Wformat -Wp64 -Woverloaded-virtual -Wcast-qual -diag-disable 981"
+      ])
       CC_WARNINGS="${BASE_WARNINGS}"
       CXX_WARNINGS="${BASE_WARNINGS}"
     ],[
@@ -235,6 +239,7 @@
 
     m4_if(PW_LESS_WARNINGS, [no],[
       CC_WARNINGS_FULL="-erroff=E_INTEGER_OVERFLOW_DETECTED${W_PASTE_RESULT}"
+      CXX_WARNINGS_FULL="-erroff=inllargeuse"
     ],[
       CC_WARNINGS_FULL="-erroff=E_ATTRIBUTE_NOT_VAR"
       CXX_WARNINGS_FULL="-erroff=attrskipunsup,doubunder,reftotemp,inllargeuse,truncwarn1,signextwarn,inllargeint"

